#include <bits/stdc++.h>


using namespace std;
ifstream f1("charnum.inp");
ofstream f2("charnum.out");


int main()
{  long long i,j;
 string s,x="";
f1>>s;
j=atoi(s.c_str());

long long n=s.length();
for (i=0;i<n;i++)
{ x[i]='1';
}
long long k=n*(j+1)-atoi(x.c_str());
f2<<k;
    return 0;
}
